export const filled = {
    isStatic: true,
    label: 'filled',
    fn: function arrayFilled(...args) {
        const argsLen = args.length;
        const len = args.length > 0 ? args[0] : -1;
        if (!argsLen || len < 1)
            throw new TypeError(`Unable to create list with unknown length`);
        const filledValue = (argsLen > 1 ? args[1] : 0);
        return Array.from(Array(len), () => filledValue);
    },
};
//# sourceMappingURL=filled.js.map