export const isObject = {
    isStatic: true,
    label: 'isObject',
    fn: function objectIsObject(x) {
        if (null == x)
            return false;
        const isObjectType = 'object' === typeof (x);
        const isNotArray = !Array.isArray(x);
        const isObjectObject = '[object Object]' === Object.prototype.toString.call(x);
        return isObjectType && isNotArray && isObjectObject;
    },
};
//# sourceMappingURL=is-object.js.map