export const from = {
    isStatic: true,
    label: 'from',
    fn: function setFrom(setEntry, mapFn) {
        if (!Array.isArray(setEntry)) {
            throw new TypeError(`Expect an array of Set elements`);
        }
        const entries = 'function' === typeof (mapFn) ? setEntry.map(mapFn) : setEntry;
        return new Set(entries);
    },
};
//# sourceMappingURL=from.js.map