import { utilIsSet } from './is-set';
export const isSuperset = {
    label: 'isSuperset',
    fn: function setIsSuperset(other) {
        const ctx = this;
        if (!utilIsSet(other))
            throw new TypeError(`Expect 'other' to be a Set`);
        if (!ctx.size && !other.size)
            return true;
        for (const n of other)
            if (!ctx.has(n))
                return false;
        return true;
    },
};
//# sourceMappingURL=is-superset.js.map