import { postCase, preCase } from './to-case';
export const toPascalCase = {
    label: 'toPascalCase',
    fn: function stringToPascalCase() {
        const ctx = this;
        return !ctx.length ?
            '' :
            postCase(preCase(ctx).replace(/(\b[a-zA-Z])/g, (_, c) => c.toUpperCase()));
    },
};
//# sourceMappingURL=to-pascal-case.js.map