export const binarySearch = {
    label: 'binarySearch',
    fn: function arrayBinarySearch(x) {
        const ctx = this;
        let l = 0;
        let r = ctx.length - 1;
        while (l <= r) {
            const mid = (l + (r - l) / 2) | 0;
            const val = ctx[mid];
            if (x === val)
                return mid;
            if (x > val)
                l = mid + 1;
            if (x < val)
                r = mid - 1;
        }
        return -1;
    },
};
//# sourceMappingURL=binary-search.js.map