export const min = {
    label: 'min',
    fn: function arrayMin() {
        const ctx = this;
        const len = ctx.length;
        if (!len)
            return void 0;
        if (1 === len)
            return ctx[0];
        let minTemp = Number.MAX_SAFE_INTEGER;
        let minValue;
        for (const n of ctx) {
            const nType = typeof (n);
            if ('string' === nType && 1 === n.length) {
                const pt = n.codePointAt(0);
                if (pt < minTemp) {
                    minTemp = pt;
                    minValue = n;
                    continue;
                }
            }
            else if ('number' === nType && n < minTemp) {
                minTemp = minValue = n;
            }
        }
        return minValue;
    },
};
//# sourceMappingURL=min.js.map