export const remove = {
    label: 'remove',
    fn: function arrayRemove(index) {
        const ctx = this;
        const len = ctx.length;
        const indexInt = null == index ? 0 : Number(index);
        if ('number' !== typeof (index) || index < 0 || index > len - 1) {
            throw new TypeError(`Array index out of bound`);
        }
        return ctx.splice(indexInt, 1)[0];
    },
};
//# sourceMappingURL=remove.js.map