import { postCase, preCase } from './to-case';
export const toStartCase = {
    label: 'toStartCase',
    fn: function stringToStartCase() {
        const ctx = this;
        if (!ctx.length)
            return '';
        return postCase(preCase(ctx).replace(/\b[a-zA-z]/gi, s => s.toUpperCase()), ' ');
    },
};
//# sourceMappingURL=to-start-case.js.map